Get construction job by ID
https://api.propexo.com/v1/construction-jobs/:construction_job_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the construction job
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the construction job
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
j-1042The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI
nullThe external ID of the general ledger account from the integration vendor
This field will always be null for YARDI
nullThe actual date the construction job ended
This field will always be null for YARDI
nullThe actual date the construction job started
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
2024-03-01T00:00:00.000ZThe name associated with the construction job
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
Unit 204 kitchen renovationThe date the construction job was planned to end
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
2024-11-30T00:00:00.000ZThe date the construction job was planned to start
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
2024-02-15T00:00:00.000ZThe normalized status for the construction job
This field will always be null for YARDI
nullThe raw status associated with the construction job
| Interface | Method |
|---|---|
| Job Cost | ExportJob |
In ProgressThe total budget for the construction job
This field will always be null for YARDI
nullcustom_data object | nullrequired
The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_RESTYARDIErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/construction-jobs/:construction_job_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "j-1042",
"x_property_id": "na",
"x_location_id": null,
"x_gl_account_id": null,
"actual_end_date": null,
"actual_start_date": "2024-03-01T00:00:00.000Z",
"name": "Unit 204 kitchen renovation",
"planned_end_date": "2024-11-30T00:00:00.000Z",
"planned_start_date": "2024-02-15T00:00:00.000Z",
"status_normalized": null,
"status_raw": "In Progress",
"total_budget_in_cents": null,
"custom_data": "Unknown Type: object,null",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI"
}
}